package com.qmth.teachcloud.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.common.bean.dto.SysRolePrivilegeDto;
import com.qmth.teachcloud.common.entity.SysPrivilege;

import java.util.List;

/**
 * <p>
 * 菜单权限表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysPrivilegeMapper extends BaseMapper<SysPrivilege> {

    List<SysPrivilege> getClientUrlByUserId(Long userId);

    /**
     * 获取所有角色权限
     *
     * @return
     */
    List<SysRolePrivilegeDto> getRolePrivilegeList();

    /**
     * 获取所有角色权限数量
     *
     * @return
     */
    Integer getRolePrivilegeCount();

    /**
     * 查找默认菜单权限
     *
     * @return
     */
    List<SysPrivilege> findByDefault();
}
